/**
 * project: Mobile Datacommunication
 * file: StringServer.java
 * date: 2003-03-09
 */

package com.maretzke.mobile.rmi;

// import RMI related stuff
import java.rmi.Remote;
import java.rmi.RemoteException;

/**
 * This interface is the basis for the RMI server implementation. It contains
 * all the business methods which will be reachalbe via RMI calls.
 *
 * @author Michael Maretzke
 * @version 1.0
 */
public interface StringServer extends Remote {
  /**
   * This method returns the input parameter
   * @param input string to return 
   * @exception RemoteException thrown if something during remote communication went wrong
   */
  String echo(String input) throws RemoteException;
}
